<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy ReaderThr.hpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_reader_thr_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">ReaderThr.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_reader_thr_8hpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef READERTHR_HPP</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define READERTHR_HPP</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#include &lt;QThread&gt;</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#include &quot;<a class="code" href="_serial_port_8hpp.html">SerialPort.hpp</a>&quot;</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="class_reader_thr.html">   26</a></span><span class="keyword">class </span><a class="code hl_class" href="class_reader_thr.html">ReaderThr</a> : <span class="keyword">public</span> QObject</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>{</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>  Q_OBJECT</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="class_reader_thr.html#a717e5af651577795185f92e14c42fc44">   35</a></span>    <a class="code hl_class" href="class_serial_port.html">SerialPort</a> *<a class="code hl_variable" href="class_reader_thr.html#a717e5af651577795185f92e14c42fc44">serial</a> = <span class="keyword">nullptr</span>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_function" href="class_reader_thr.html#ac4a15db003bacd1d609ca323ac88facb">ReaderThr</a>();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="class_reader_thr.html#a8c5c53cf06b9873f7b8487da92a167c5">   42</a></span>    <a class="code hl_function" href="class_reader_thr.html#a8c5c53cf06b9873f7b8487da92a167c5">~ReaderThr</a>() { }</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="class_reader_thr.html#a3a00dd4fe9ddfd1b273d367fb76bd900">   46</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="class_reader_thr.html#a3a00dd4fe9ddfd1b273d367fb76bd900">connectSerialPort</a>(<a class="code hl_class" href="class_serial_port.html">SerialPort</a> *port) { <a class="code hl_variable" href="class_reader_thr.html#a717e5af651577795185f92e14c42fc44">serial</a> = port; }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>  signals:</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="class_reader_thr.html#ad1b1d19975ad2e479a9a60dc4253c872">   49</a></span>    <span class="keywordtype">void</span> <a class="code hl_signal" href="class_reader_thr.html#ad1b1d19975ad2e479a9a60dc4253c872">finished</a>();</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>};</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span><span class="preprocessor">#endif </span><span class="comment">// READERTHR_HPP</span></div>
<div class="ttc" id="a_serial_port_8hpp_html"><div class="ttname"><a href="_serial_port_8hpp.html">SerialPort.hpp</a></div><div class="ttdoc">Definicja klasy SerialPort.</div></div>
<div class="ttc" id="aclass_reader_thr_html"><div class="ttname"><a href="class_reader_thr.html">ReaderThr</a></div><div class="ttdoc">Obiekt czytający z portu szeregowego.</div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8hpp_source.html#l00026">ReaderThr.hpp:27</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_a3a00dd4fe9ddfd1b273d367fb76bd900"><div class="ttname"><a href="class_reader_thr.html#a3a00dd4fe9ddfd1b273d367fb76bd900">ReaderThr::connectSerialPort</a></div><div class="ttdeci">void connectSerialPort(SerialPort *port)</div><div class="ttdoc">Łączy port szeregowy z wątkiem.</div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8hpp_source.html#l00046">ReaderThr.hpp:46</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_a717e5af651577795185f92e14c42fc44"><div class="ttname"><a href="class_reader_thr.html#a717e5af651577795185f92e14c42fc44">ReaderThr::serial</a></div><div class="ttdeci">SerialPort * serial</div><div class="ttdoc">Obiekt definiujący port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8hpp_source.html#l00035">ReaderThr.hpp:35</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_a8c5c53cf06b9873f7b8487da92a167c5"><div class="ttname"><a href="class_reader_thr.html#a8c5c53cf06b9873f7b8487da92a167c5">ReaderThr::~ReaderThr</a></div><div class="ttdeci">~ReaderThr()</div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8hpp_source.html#l00042">ReaderThr.hpp:42</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_ac4a15db003bacd1d609ca323ac88facb"><div class="ttname"><a href="class_reader_thr.html#ac4a15db003bacd1d609ca323ac88facb">ReaderThr::ReaderThr</a></div><div class="ttdeci">ReaderThr()</div><div class="ttdoc">Inicjalizuje obiekt ReaderThr.</div><div class="ttdef"><b>Definition</b> <a href="_reader_thr_8cpp_source.html#l00019">ReaderThr.cpp:19</a></div></div>
<div class="ttc" id="aclass_reader_thr_html_ad1b1d19975ad2e479a9a60dc4253c872"><div class="ttname"><a href="class_reader_thr.html#ad1b1d19975ad2e479a9a60dc4253c872">ReaderThr::finished</a></div><div class="ttdeci">void finished()</div></div>
<div class="ttc" id="aclass_serial_port_html"><div class="ttname"><a href="class_serial_port.html">SerialPort</a></div><div class="ttdoc">Modeluje port szeregowy.</div><div class="ttdef"><b>Definition</b> <a href="_serial_port_8hpp_source.html#l00041">SerialPort.hpp:42</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_72345776cd6700fb0dedb8f1faaa0c00.html">inc</a></li><li class="navelem"><a class="el" href="_reader_thr_8hpp.html">ReaderThr.hpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
